<?php
// +---------------------------------------------------------------------------+
// | pageindex.php                                                             |
// | This is a index page for Tom's Staticpages 1.2 made especially for        |
// | googlebots. Only works with Staticpages 1.2!                              |
// +---------------------------------------------------------------------------|
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Lee Whitworth				 -    lwhitworth@users.sourceforge.net         |
// +---------------------------------------------------------------------------|
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software               |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA|
// |                                                                           |
// +---------------------------------------------------------------------------|

//
// Make sure this points to your lib-common.php wherever you have this page
//
require_once('lib-common.php');
include_once($_CONF[path_html]."filemgmt/include/header.php");
include_once($_CONF[path_html]."filemgmt/include/xoopstree.php");
include_once($_CONF[path_html]."filemgmt/include/textsanitizer.php");

// Config Variables
$perpage = 75;  // how many lines per page

$display = COM_siteHeader('none');
$display .= '<h1>File Index</h1>';

if (empty($page)) {
    // If no page sent then assume the first.
    $page = 1;
}

$offset = ($page -1) * $perpage;

$recs = DB_query("SELECT lid, url, title, status, date, hits, rating FROM {$_FM_TABLES['filemgmt_filedetail']} ORDER BY date DESC LIMIT $offset, $perpage");
$nrows = DB_numRows($recs);

$display .= '<table width="100%"><tr><td><b>Filename</b></td><td><b>Title</b></td><td><b>Link</b></td><td><b>Downloads</b></td><td><b>Ratings</b></td></tr>';

for ($x = 0; $x < $nrows; $x++) {
    $A = DB_fetchArray($recs);
    $display .= '<tr><td>' . $A['url'] . '</td>';
    $display .= '<td>' . $A['title'] . '</td>';
    $display .= '<td>';
    $display .= '<a href="' . $_CONF['site_url'] . '/filemgmt/singlefile.php?lid=' . $A['lid'] . '">'
             . $_CONF['site_url'] . '/filemgmt/singlefile.php?lid=' . $A['lid'] . '</a>';
    $display .= '</td>' . '<td>' . $A['hits'] . '</td>';
	$display .= '<td>' . $A['rating'] . '</td></tr>';
}
                            
$display .= '</table><p>';

$countsql = "SELECT COUNT(*) FROM ".$_FM_TABLES['filemgmt_filedetail']." WHERE status>0";

$data = DB_query($countsql);
$D = DB_fetchArray($data);
$num_pages = ceil($D['count'] / $perpage);

 // Print Google-like paging navigation
$base_url = $_CONF['site_url'] . '/fileindex.php';
$display .= COM_printPageNavigation($base_url,$page, $num_pages);
$display .= '</p>';

$display .= COM_siteFooter();
echo $display;
?>